diff -Nur -x '*.orig' -x '*~' empathy-2.30.1.1//libempathy-gtk/empathy-avatar-chooser.c empathy-2.30.1.1.new//libempathy-gtk/empathy-avatar-chooser.c
--- empathy-2.30.1.1//libempathy-gtk/empathy-avatar-chooser.c	2010-06-09 15:28:50.000000000 +0200
+++ empathy-2.30.1.1.new//libempathy-gtk/empathy-avatar-chooser.c	2010-06-14 20:20:53.543660552 +0200
@@ -34,7 +34,6 @@
 
 #include "empathy-avatar-chooser.h"
 #include "empathy-conf.h"
-#include "empathy-images.h"
 #include "empathy-ui-utils.h"
 
 #define DEBUG_FLAG EMPATHY_DEBUG_OTHER
@@ -591,8 +590,7 @@
 		priv->avatar = NULL;
 	}
 
-	image = gtk_image_new_from_icon_name (EMPATHY_IMAGE_AVATAR_DEFAULT,
-		GTK_ICON_SIZE_DIALOG);
+	image = gtk_image_new_from_icon_name ("stock_person", GTK_ICON_SIZE_DIALOG);
 	gtk_button_set_image (GTK_BUTTON (chooser), image);
 	g_signal_emit (chooser, signals[CHANGED], 0);
 }
diff -Nur -x '*.orig' -x '*~' empathy-2.30.1.1//libempathy-gtk/empathy-images.h empathy-2.30.1.1.new//libempathy-gtk/empathy-images.h
--- empathy-2.30.1.1//libempathy-gtk/empathy-images.h	2010-06-14 20:19:40.403646653 +0200
+++ empathy-2.30.1.1.new//libempathy-gtk/empathy-images.h	2010-06-14 20:20:56.003647490 +0200
@@ -41,7 +41,6 @@
 #define EMPATHY_IMAGE_VIDEO_CALL          "camera-web"
 #define EMPATHY_IMAGE_LOG                 "document-open-recent"
 #define EMPATHY_IMAGE_DOCUMENT_SEND       "document-send"
-#define EMPATHY_IMAGE_AVATAR_DEFAULT      "avatar-default"
 
 G_END_DECLS
 
diff -Nur -x '*.orig' -x '*~' empathy-2.30.1.1//libempathy-gtk/empathy-theme-adium.c empathy-2.30.1.1.new//libempathy-gtk/empathy-theme-adium.c
--- empathy-2.30.1.1//libempathy-gtk/empathy-theme-adium.c	2010-06-08 16:45:12.000000000 +0200
+++ empathy-2.30.1.1.new//libempathy-gtk/empathy-theme-adium.c	2010-06-14 20:20:56.731647212 +0200
@@ -41,7 +41,6 @@
 #include "empathy-ui-utils.h"
 #include "empathy-plist.h"
 #include "empathy-string-parser.h"
-#include "empathy-images.h"
 
 #define DEBUG_FLAG EMPATHY_DEBUG_CHAT
 #include <libempathy/empathy-debug.h>
@@ -492,7 +491,7 @@
 		if (!avatar_filename) {
 			if (!priv->data->default_avatar_filename) {
 				priv->data->default_avatar_filename =
-					empathy_filename_from_icon_name (EMPATHY_IMAGE_AVATAR_DEFAULT,
+					empathy_filename_from_icon_name ("stock_person",
 									 GTK_ICON_SIZE_DIALOG);
 			}
 			avatar_filename = priv->data->default_avatar_filename;
diff -Nur -x '*.orig' -x '*~' empathy-2.30.1.1//src/empathy-call-window.c empathy-2.30.1.1.new//src/empathy-call-window.c
--- empathy-2.30.1.1//src/empathy-call-window.c	2010-06-09 15:28:50.000000000 +0200
+++ empathy-2.30.1.1.new//src/empathy-call-window.c	2010-06-14 20:20:57.223666557 +0200
@@ -44,7 +44,6 @@
 #include <libempathy-gtk/empathy-ui-utils.h>
 #include <libempathy-gtk/empathy-sound.h>
 #include <libempathy-gtk/empathy-geometry.h>
-#include <libempathy-gtk/empathy-images.h>
 
 #define DEBUG_FLAG EMPATHY_DEBUG_VOIP
 #include <libempathy/empathy-debug.h>
@@ -1107,8 +1106,8 @@
 
   if (pixbuf_avatar == NULL)
     {
-      pixbuf_avatar = empathy_pixbuf_from_icon_name_sized (
-          EMPATHY_IMAGE_AVATAR_DEFAULT, size);
+      pixbuf_avatar = empathy_pixbuf_from_icon_name_sized ("stock_person",
+          size);
     }
 
   gtk_image_set_from_pixbuf (GTK_IMAGE (image_widget), pixbuf_avatar);
diff -Nur -x '*.orig' -x '*~' empathy-2.30.1.1//src/empathy-call-window.ui empathy-2.30.1.1.new//src/empathy-call-window.ui
--- empathy-2.30.1.1//src/empathy-call-window.ui	2010-06-07 14:12:53.000000000 +0200
+++ empathy-2.30.1.1.new//src/empathy-call-window.ui	2010-06-14 20:20:57.680701459 +0200
@@ -177,7 +177,7 @@
               <object class="GtkToggleToolButton" id="camera_preview">
                 <property name="visible">True</property>
                 <property name="label" translatable="yes">Preview</property>
-                <property name="icon_name">avatar-default</property>
+                <property name="icon_name">stock_person</property>
                 <property name="sensitive">True</property>
                 <property name="tooltip_text" translatable="yes">Enable camera but don't send video</property>
               </object>
diff -Nur -x '*.orig' -x '*~' empathy-2.30.1.1//src/empathy-event-manager.c empathy-2.30.1.1.new//src/empathy-event-manager.c
--- empathy-2.30.1.1//src/empathy-event-manager.c	2010-06-14 20:19:40.499646234 +0200
+++ empathy-2.30.1.1.new//src/empathy-event-manager.c	2010-06-14 20:20:58.119647420 +0200
@@ -863,7 +863,7 @@
             empathy_contact_get_name (contact));
 
           event_manager_add (manager, contact, EMPATHY_EVENT_TYPE_PRESENCE,
-              EMPATHY_IMAGE_AVATAR_DEFAULT, header, NULL, NULL, NULL, NULL);
+              "stock_person", header, NULL, NULL, NULL, NULL);
         }
     }
   else
@@ -879,7 +879,7 @@
             empathy_contact_get_name (contact));
 
           event_manager_add (manager, contact, EMPATHY_EVENT_TYPE_PRESENCE,
-              EMPATHY_IMAGE_AVATAR_DEFAULT, header, NULL, NULL, NULL, NULL);
+              "stock_person", header, NULL, NULL, NULL, NULL);
         }
     }
   g_free (header);
